#! /bin/sh
#
# $FreeBSD: ports/net/zebra/files/zebra.sh,v 1.4 1999/09/19 12:14:57 andreas Exp $
#
# zebra start/stop script by "Andreas Klemm <andreas@FreeBSD.ORG>"
#

usage()
{
	echo "$0: usage: $0 [ start | stop ]"
	exit 1
}

if [ $# -lt 1 ]; then
	echo "$0: error: one argument needed"; usage
elif [ $# -gt 1 ]; then
	echo "$0: error: only one argument needed"; usage
fi

case $1 in
	start)
		[ -f /usr/local/etc/zebra/zebra.conf ] && ( \
			/usr/local/sbin/zebra > /dev/null 2>&1 & \
			echo -n ' zebra' )
		[ -f /usr/local/etc/zebra/ripd.conf ] && ( \
			/usr/local/sbin/ripd > /dev/null 2>&1 & \
			echo -n ' ripd' )
		[ -f /usr/local/etc/zebra/ospfd.conf ] && ( \
			/usr/local/sbin/ospfd > /dev/null 2>&1 & \
			echo -n ' ospfd' )
		[ -f /usr/local/etc/zebra/bgpd.conf ] && ( \
			/usr/local/sbin/bgpd > /dev/null 2>&1 & \
			echo -n ' ospfd' )
		;;

	stop)
		[ -f /usr/local/etc/zebra/ripd.conf ] && killall ripd
		[ -f /usr/local/etc/zebra/ospfd.conf ] && killall ospfd
		[ -f /usr/local/etc/zebra/bgpd.conf ] && killall bgpd
		[ -f /usr/local/etc/zebra/zebra.conf ] &&  killall zebra
		;;

	*)	echo "$0: error: unknown option $1"
		usage
		;;
esac
exit 0
